Skip to main content
POST
/
platform
/
records
/
{parentId}
/
versions
Create record version
curl --request POST \
  --url https://api.rootkey.ai/api-v1/platform/records/{parentId}/versions \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "ownerVault": "0xdf67CA8286510997567685c0385ECeAb11C23C92",
  "recordData": {},
  "expirationDate": "2023-11-07T05:31:56Z"
}
'
{
  "chainId": 137,
  "transactionHash": "0xabc123..."
}

Authorizations

x-api-key
string
header
required

ROOTKey API key (rk_live_... for production, rk_test_... for the test network).

Path Parameters

parentId
string
required

Body

application/json
ownerVault
string
required
Example:

"0xdf67CA8286510997567685c0385ECeAb11C23C92"

recordData
object
required
expirationDate
string<date-time>

Response

New record version anchored

chainId
number
required
Example:

137

transactionHash
string
required

On-chain transaction hash of the anchoring transaction

Example:

"0xabc123..."